<?php

class DAttr extends DAttrBase
{
	public $_version = 0;
    // 0: no restriction; 1: LSWS ENTERPRISE; 2: LSWS 2CPU +;
    // 3: LSLB 2CPU +; 4: X-CPU
	public $_feature = 0; // feature bit

	public function bypassSavePost()
	{
		return ($this->_FDE[2] == 'N' || $this->blockedReason());
	}

	public function blockedReason()
	{
		if ($this->_feature == 0 && $this->_version == 0) {
			return '';	// no restriction
        }

		if ($this->_feature != 0 ) {
			$features = $_SERVER['LS_FEATURES'];
			if ( ($this->_feature & $features) == 0) {
				return 'This feature requires LiteMage module enabled in your license';
            }
		}

		if ($this->_version == 0) {
			return ''; // not blocked
        }

		if (isset($_SERVER['LSLB_CHILDREN'])) {
    		$proc = substr($_SERVER['LSLB_CHILDREN'], 0, 1);
        } else {
            $proc = '1';
        }
        if ($this->_version == 3) { //// LSLB 2CPU +
            if ($proc == '1') {
                return 'This feature is available for Multiple-Worker license';
            } else {
                return '';
            }
        }
        if ($this->_version == 4) {// XCPU, unlimited is 9:n (n is actual used)
            if ($proc != '9') {
                return 'This feature is available for Web ADC Ultimate license';
            } else {
                return '';
            }
        }

		return 'feature not supported'; // fail safe exit
	}

}
